import { DUMMY_OBJECT } from "./constants"; // const eventListenersMap = new Map();

export const dispatchCustomEvent = _ref => {
  let {
    eventName,
    detail,
    dispatchElementRef
  } = _ref;
  // 'bubbles: true' allows the event to propagate up through the DOM
  // This enables child-to-parent communication by listening to the event on the parent
  const event = new CustomEvent(eventName, {
    bubbles: true,
    detail
  });

  if (dispatchElementRef) {
    dispatchElementRef.dispatchEvent(event);
  } else {
    window.dispatchEvent(event);
  }
};
export const addCustomEventListener = _ref2 => {
  let {
    eventName,
    callback,
    dispatchElementRef
  } = _ref2;
  const target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target) || DUMMY_OBJECT;
  // Remove existing listener for the same eventName
  // if (listeners[eventName]) {
  //     target.removeEventListener(eventName, listeners[eventName]);
  // }
  // Add the new listener

  target.addEventListener(eventName, callback); // listeners[eventName] = callback; // Store only one listener
  // eventListenersMap.set(target, listeners);
};
export const removeCustomEventListener = _ref3 => {
  let {
    eventName,
    callback,
    dispatchElementRef
  } = _ref3;
  const target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target);
  // if (listeners && listeners[eventName]) {

  target.removeEventListener(eventName, callback); // delete listeners[eventName];
  //     // Clean up the map if no listeners are left
  //     if (Object.keys(listeners).length === 0) {
  //         eventListenersMap.delete(target);
  //     }
  // }
};