"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearToastNotifications = clearToastNotifications;
exports.hideToastNotification = hideToastNotification;
exports.showPromiseToastNotification = showPromiseToastNotification;
exports.showToastNotification = showToastNotification;
exports.updatePromiseToastNotification = updatePromiseToastNotification;

var _constant = require("./constant");

var _customEventDispatcher = require("../../utils/customEventDispatcher");

function showToastNotification(payload) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION,
      payload: payload
    }
  });
}

function hideToastNotification(id) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION,
      payload: {
        id: id
      }
    }
  });
}

function clearToastNotifications() {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION // Removed trailing comma

    }
  });
}

function showPromiseToastNotification(payload) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_SHOW_PROMISE_TOAST_NOTIFICATION,
      payload: payload
    }
  });
}

function updatePromiseToastNotification(payload) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_UPDATE_PROMISE_TOAST_NOTIFICATION,
      payload: payload
    }
  });
} // const promise = new Promise<void>((resolve) => {
//   setTimeout(() => resolve(), 5000)
// })
// success: {
//   title: "Successfully uploaded!",
//   description: "Looks great",
// },
// error: {
//   title: "Upload failed",
//   description: "Something wrong with the upload",
// },
// loading: { title: "Uploading...", description: "Please wait" }
// title: "Update successful",
//           description: "File saved successfully to the server",
//           action: {
//             label: "Undo",
//             onClick: () => console.log("Undo"),
//           }
// onStatusChange: (details) => {
//   if (details.status === "visible") {
//     setShown(true)
//   } else if (details.status === "dismissing") {
//     setShown(false)
//   }
// }
// placement: "top-end"
// overlap: true
// offsets: "20px"
// offsets: { left: "20px", top: "20px", right: "20px", bottom: "20px" }
// max: 3