"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeCustomEventListener = exports.dispatchCustomEvent = exports.addCustomEventListener = void 0;

var _constants = require("./constants");

// const eventListenersMap = new Map();
var dispatchCustomEvent = function dispatchCustomEvent(_ref) {
  var eventName = _ref.eventName,
      detail = _ref.detail,
      dispatchElementRef = _ref.dispatchElementRef;
  // 'bubbles: true' allows the event to propagate up through the DOM
  // This enables child-to-parent communication by listening to the event on the parent
  var event = new CustomEvent(eventName, {
    bubbles: true,
    detail: detail
  });

  if (dispatchElementRef) {
    dispatchElementRef.dispatchEvent(event);
  } else {
    window.dispatchEvent(event);
  }
};

exports.dispatchCustomEvent = dispatchCustomEvent;

var addCustomEventListener = function addCustomEventListener(_ref2) {
  var eventName = _ref2.eventName,
      callback = _ref2.callback,
      dispatchElementRef = _ref2.dispatchElementRef;
  var target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target) || DUMMY_OBJECT;
  // Remove existing listener for the same eventName
  // if (listeners[eventName]) {
  //     target.removeEventListener(eventName, listeners[eventName]);
  // }
  // Add the new listener

  target.addEventListener(eventName, callback); // listeners[eventName] = callback; // Store only one listener
  // eventListenersMap.set(target, listeners);
};

exports.addCustomEventListener = addCustomEventListener;

var removeCustomEventListener = function removeCustomEventListener(_ref3) {
  var eventName = _ref3.eventName,
      callback = _ref3.callback,
      dispatchElementRef = _ref3.dispatchElementRef;
  var target = dispatchElementRef || window; // const listeners = eventListenersMap.get(target);
  // if (listeners && listeners[eventName]) {

  target.removeEventListener(eventName, callback); // delete listeners[eventName];
  //     // Clean up the map if no listeners are left
  //     if (Object.keys(listeners).length === 0) {
  //         eventListenersMap.delete(target);
  //     }
  // }
};

exports.removeCustomEventListener = removeCustomEventListener;